import { defineComponent as _, toRefs as w, ref as M, computed as h, openBlock as c, createElementBlock as v, normalizeClass as x, unref as r, createElementVNode as s, renderSlot as T, createTextVNode as z, toDisplayString as y, createCommentVNode as A, Fragment as V, renderList as G, createStaticVNode as O, normalizeStyle as D, onMounted as F, withDirectives as C, vModelText as L, pushScopeId as j, popScopeId as W } from "vue";
var I = /* @__PURE__ */ ((e) => (e.SUCCESS = "success", e.INFO = "info", e.DANGER = "danger", e.WARNING = "warning", e))(I || {}), m = /* @__PURE__ */ ((e) => (e.SMALL = "sm", e.MEDIUM = "md", e.LARGE = "lg", e.EXTRALARGE = "xl", e))(m || {}), $ = /* @__PURE__ */ ((e) => (e.BOTH = "both", e.NONE = "none", e.HORIZONTAL = "horizontal", e.VERTICAL = "vertical", e))($ || {}), d = /* @__PURE__ */ ((e) => (e.PRIMARY = "primary", e.SECONDARY = "secondary", e.SUCCESS = "success", e.DANGER = "danger", e.WARNING = "warning", e.INFO = "info", e.LINK = "link", e))(d || {}), N = /* @__PURE__ */ ((e) => (e.SQUARE = "square", e.WIDE = "wide", e.AUTO = "auto", e))(N || {}), R = /* @__PURE__ */ ((e) => (e.DEFAULT = "default", e.PRIMARY = "primary", e.SECONDARY = "secondary", e))(R || {});
const X = { class: "ml-3 text-sm font-medium" }, H = /* @__PURE__ */ s("svg", {
  "aria-hidden": "true",
  class: "h-5 w-5",
  fill: "currentColor",
  viewBox: "0 0 20 20",
  xmlns: "http://www.w3.org/2000/svg"
}, [
  /* @__PURE__ */ s("path", {
    "fill-rule": "evenodd",
    d: "M4.293 4.293a1 1 0 011.414 0L10 8.586l4.293-4.293a1 1 0 111.414 1.414L11.414 10l4.293 4.293a1 1 0 01-1.414 1.414L10 11.414l-4.293 4.293a1 1 0 01-1.414-1.414L8.586 10 4.293 5.707a1 1 0 010-1.414z",
    "clip-rule": "evenodd"
  })
], -1), Q = [
  H
], Oe = /* @__PURE__ */ _({
  __name: "Alert",
  props: {
    dismissable: { type: Boolean, default: !1 },
    text: { default: "" },
    type: { default: I.SUCCESS }
  },
  setup(e) {
    const i = e, { type: l } = w(i), a = M(""), t = () => {
      a.value = "opacity-0", setTimeout(() => {
        a.value = "hidden";
      }, 200);
    }, u = h(() => ({
      ["text-success bg-[#d4edda] border-[#c3e6cb]"]: l.value === I.SUCCESS,
      ["text-on-info bg-info border-[#d6d8db]"]: l.value === I.INFO,
      ["text-warning bg-[#fff3cd] border-[#ffecb5]"]: l.value === I.WARNING,
      ["text-danger bg-[#f8d7da] border-[#f5c2c7]"]: l.value === I.DANGER
    }));
    return (n, f) => (c(), v("div", {
      class: x(["mb-4 flex rounded-lg border p-4 transition-opacity duration-200", [a.value, r(u)]])
    }, [
      s("div", X, [
        T(n.$slots, "default", {}, () => [
          z(y(e.text), 1)
        ])
      ]),
      e.dismissable ? (c(), v("button", {
        key: 0,
        type: "button",
        class: "-mx-1.5 -my-1.5 ml-auto inline-flex rounded-lg p-1.5 text-[#155724]",
        "aria-label": "Close",
        onClick: t
      }, Q)) : A("", !0)
    ], 2));
  }
}), Pe = /* @__PURE__ */ _({
  __name: "Badge",
  props: {
    type: { default: d.PRIMARY },
    label: { default: "" },
    rounded: { type: Boolean, default: !1 }
  },
  setup(e) {
    const i = e, { type: l, label: a, rounded: t } = w(i), u = h(() => ({
      "text-white bg-primary border-slate-500": l.value === d.PRIMARY,
      "text-on-info bg-info": l.value === d.INFO,
      "text-on-warning bg-warning": l.value === d.WARNING,
      "text-white bg-danger": l.value === d.DANGER,
      "text-on-success bg-success": l.value === d.SUCCESS,
      "text-on-secondary bg-secondary": l.value === d.SECONDARY,
      "rounded-full": t.value
    }));
    return (n, f) => (c(), v("div", {
      class: x(["leading-2 inline-block rounded p-0 px-1 text-xs font-bold", r(u)])
    }, y(r(a)), 3));
  }
}), Ue = /* @__PURE__ */ _({
  __name: "Button",
  props: {
    label: { default: "" },
    size: { default: m.MEDIUM },
    outline: { type: Boolean, default: !1 },
    type: { default: d.PRIMARY },
    rounded: { type: Boolean, default: !1 }
  },
  setup(e) {
    const i = e, { size: l, outline: a, type: t, rounded: u } = w(i), n = h(() => ({
      "p-1.5 px-3 text-xs": l.value === m.SMALL,
      "py-2.5 px-3 text-xs": l.value === m.MEDIUM,
      "p-2 px-4 text-md": l.value === m.LARGE,
      "p-2.5 px-5 text-lg": l.value === m.EXTRALARGE,
      "text-primary bg-on-primary border border-primary hover:text-on-primary hover:bg-primary": a.value && t.value === d.PRIMARY,
      "text-on-primary bg-primary border border-on-primary": !a.value && t.value === d.PRIMARY,
      "text-primary": !a.value && t.value === d.LINK,
      "text-on-info bg-info border border-on-info": !a.value && t.value === d.INFO,
      "text-on-info border border-on-info hover:text-info hover:bg-on-info": a.value && t.value === d.INFO,
      "text-on-secondary bg-secondary": !a.value && t.value === d.SECONDARY,
      "text-secondary bg-on-secondary border border-secondary hover:text-on-secondary hover:bg-secondary": a.value && t.value === d.SECONDARY,
      "rounded-md": u.value,
      "bg-warning text-on-warning": !a.value && t.value === d.WARNING,
      "bg-on-warning text-warning border border-warning hover:bg-warning hover:text-on-warning": a.value && t.value === d.WARNING
    }));
    return (f, o) => (c(), v("button", {
      class: x(["duration-400 transition-all", r(n)])
    }, y(e.label), 3));
  }
}), q = { class: "flex items-center" }, K = ["checked"], Z = {
  for: "default-checkbox",
  class: "ml-2 cursor-pointer text-sm font-medium text-gray-900"
}, Be = /* @__PURE__ */ _({
  __name: "Checkbox",
  props: {
    type: { default: R.DEFAULT },
    label: null,
    rounded: { type: Boolean },
    modelValue: { type: Boolean, default: !1 }
  },
  emits: ["update:modelValue"],
  setup(e, { emit: i }) {
    const l = e, { type: a, modelValue: t, rounded: u } = w(l), n = h(() => ({
      "bg-gray-100 border-gray-300 text-primary focus:ring-primary": a.value === R.PRIMARY,
      "text-orange-500 bg-gray-100 border-gray-300 focus:ring-orange-500 focus:ring-2": a.value === R.SECONDARY,
      rounded: u.value
    }));
    return (f, o) => (c(), v("div", q, [
      s("input", {
        id: "default-checkbox",
        onInput: o[0] || (o[0] = (p) => i("update:modelValue", !r(t))),
        checked: r(t),
        type: "checkbox",
        class: x(["h-4 w-4 cursor-pointer ring-0", r(n)])
      }, null, 42, K),
      s("label", Z, y(e.label), 1)
    ]));
  }
}), J = ["for"], ee = ["type", "id", "value", "placeholder"], Ye = /* @__PURE__ */ _({
  __name: "Input",
  props: {
    label: { default: "" },
    size: { default: m.MEDIUM },
    type: { default: "text" },
    id: { default: "" },
    placeholder: { default: "" },
    rounded: { type: Boolean, default: !1 },
    inline: { type: Boolean, default: !1 },
    modelValue: { default: "" }
  },
  emits: ["update:modelValue"],
  setup(e, { emit: i }) {
    const l = e, a = (b) => {
      i("update:modelValue", b.target.value);
    }, { id: t, size: u, rounded: n, inline: f } = w(l), o = h(() => ({
      "p-1.5 px-3 text-xs": u.value === m.SMALL,
      "py-2.5 px-3 text-xs": u.value === m.MEDIUM,
      "p-2 px-4 text-md": u.value === m.LARGE,
      "p-2.5 px-5 text-lg": u.value === m.EXTRALARGE,
      rounded: n.value
    })), p = h(() => ({
      "flex-col": !f.value,
      "flex-row items-center gap-3": f.value
    })), g = t.value ? t.value : `id-${Math.random().toString(36).substring(2, 7)}`;
    return (b, E) => (c(), v("div", null, [
      s("div", {
        class: x(["flex", r(p)])
      }, [
        e.label ? (c(), v("label", {
          key: 0,
          class: "mb-1 cursor-pointer text-neutral-500",
          for: r(g)
        }, y(e.label), 9, J)) : A("", !0),
        s("input", {
          class: x(["border border-gray-300 text-gray-500 focus:border-gray-300 focus:shadow-md focus:ring-0", r(o)]),
          type: e.type,
          id: r(g),
          value: e.modelValue,
          placeholder: e.placeholder || e.label,
          onInput: a
        }, null, 42, ee)
      ], 2)
    ]));
  }
}), te = { class: "flex" }, ae = {
  key: 0,
  class: "inline-flex items-center rounded-l border border-r-0 border-gray-300 bg-white px-4 py-2 text-sm font-medium text-gray-500 hover:bg-gray-100 hover:text-gray-700"
}, re = /* @__PURE__ */ O('<svg class="h-5 w-5" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"><g id="SVGRepo_bgCarrier" stroke-width="0"></g><g id="SVGRepo_tracerCarrier" stroke-linecap="round" stroke-linejoin="round"></g><g id="SVGRepo_iconCarrier"><g><path d="M17 16L13 12L17 8M11 16L7 12L11 8" stroke="#000000" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"></path></g></g></svg>', 1), le = [
  re
], oe = /* @__PURE__ */ O('<svg class="h-5 w-5" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"><g id="SVGRepo_bgCarrier" stroke-width="0"></g><g id="SVGRepo_tracerCarrier" stroke-linecap="round" stroke-linejoin="round"></g><g id="SVGRepo_iconCarrier"><g id="Arrow / Chevron_Left_MD"><path id="Vector" d="M14 16L10 12L14 8" stroke="#000000" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"></path></g></g></svg>', 1), ne = [
  oe
], se = /* @__PURE__ */ O('<svg class="h-5 w-5" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"><g id="SVGRepo_bgCarrier" stroke-width="0"></g><g id="SVGRepo_tracerCarrier" stroke-linecap="round" stroke-linejoin="round"></g><g id="SVGRepo_iconCarrier"><g id="Arrow / Chevron_Right_MD"><path id="Vector" d="M10 8L14 12L10 16" stroke="#000000" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"></path></g></g></svg>', 1), ue = [
  se
], de = {
  key: 3,
  class: "inline-flex items-center rounded-r border border-l-0 border-gray-300 bg-white px-4 py-2 text-sm font-medium text-gray-500 hover:bg-gray-100 hover:text-gray-700"
}, ie = /* @__PURE__ */ O('<svg viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg" class="h-5 w-5"><g id="SVGRepo_bgCarrier" stroke-width="0"></g><g id="SVGRepo_tracerCarrier" stroke-linecap="round" stroke-linejoin="round"></g><g id="SVGRepo_iconCarrier"><g id="Arrow / Chevron_Right_Duo"><path id="Vector" d="M13 8L17 12L13 16M7 8L11 12L7 16" stroke="#000000" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"></path></g></g></svg>', 1), ce = [
  ie
], Te = /* @__PURE__ */ _({
  __name: "Pagination",
  props: {
    numOfPages: { default: 2 },
    showPrevAndNext: { type: Boolean, default: !0 },
    showFirstAndLast: { type: Boolean, default: !0 },
    totalPages: { default: 1 },
    currentPage: { default: 1 }
  },
  setup(e) {
    const i = e, { numOfPages: l, showFirstAndLast: a, showPrevAndNext: t, totalPages: u, currentPage: n } = w(i), f = h(() => {
      const o = [], p = n.value - l.value > 0 ? n.value - l.value : 1, g = n.value + l.value <= u.value ? n.value + l.value : u.value;
      if (n.value > 1)
        for (let b = p; b < n.value; b++)
          o.push(b);
      for (let b = n.value; b <= g; b++)
        o.push(b);
      return o;
    });
    return (o, p) => (c(), v("div", te, [
      r(a) ? (c(), v("button", ae, le)) : A("", !0),
      r(t) ? (c(), v("button", {
        key: 1,
        class: x([{
          "rounded-l": !r(a)
        }, "inline-flex items-center border border-r-0 border-gray-300 bg-white px-4 py-2 text-sm font-medium text-gray-500 hover:bg-gray-100 hover:text-gray-700"])
      }, ne, 2)) : A("", !0),
      (c(!0), v(V, null, G(r(f), (g) => (c(), v("button", {
        key: g,
        class: x(["inline-flex items-center border border-gray-300 px-4 py-2 text-sm hover:bg-gray-100", {
          "bg-primary/10 font-bold text-primary": r(n) === g,
          "font-medium text-gray-500 hover:text-gray-700": r(n) !== g,
          "border-r-0": g !== r(f)[r(f).length - 1],
          "rounded-l": g === 1 && !r(a) && !r(t),
          "rounded-r": g === r(f)[r(f).length - 1] && !r(a) && !r(t)
        }])
      }, y(g), 3))), 128)),
      r(t) ? (c(), v("button", {
        key: 2,
        class: x([{
          "rounded-r": !r(a)
        }, "inline-flex items-center border border-l-0 border-gray-300 bg-white px-4 py-2 text-sm font-medium text-gray-500 hover:bg-gray-100 hover:text-gray-700"])
      }, ue, 2)) : A("", !0),
      r(a) ? (c(), v("button", de, ce)) : A("", !0)
    ]));
  }
}), ve = ["aria-valuenow"], ze = /* @__PURE__ */ _({
  __name: "ProgressBar",
  props: {
    title: { default: "" },
    showTitle: { type: Boolean, default: !0 },
    width: { default: 50 },
    type: { default: d.PRIMARY },
    size: { default: m.MEDIUM }
  },
  setup(e) {
    const i = e, { showTitle: l, width: a, type: t, size: u } = w(i), n = h(() => ({
      "bg-primary text-on-primary": t.value === d.PRIMARY,
      "bg-secondary text-on-secondary": t.value === d.SECONDARY,
      "bg-info text-on-info": t.value === d.INFO,
      "bg-danger text-on-danger": t.value === d.DANGER,
      "bg-success text-on-success": t.value === d.SUCCESS,
      "bg-warning text-on-warning": t.value === d.WARNING,
      "h-3": u.value === m.SMALL,
      "h-4": u.value === m.MEDIUM,
      "h-5": u.value === m.LARGE,
      "h-6": u.value === m.EXTRALARGE
    })), f = h(() => ({
      "bg-primary/20": t.value === d.PRIMARY,
      "bg-secondary/20": t.value === d.SECONDARY,
      "bg-info/50": t.value === d.INFO,
      "bg-danger/20": t.value === d.DANGER,
      "bg-success/20": t.value === d.SUCCESS,
      "bg-warning/20": t.value === d.WARNING
    })), o = h(() => i.title && l.value ? i.title : l.value ? `${i.width}%` : "");
    return (p, g) => (c(), v("div", {
      class: x(["w-full overflow-hidden rounded-lg", r(f)])
    }, [
      s("div", {
        class: x(["flex flex-col justify-center overflow-hidden text-center text-xs transition-all duration-300", r(n)]),
        role: "progressbar",
        style: D(`width: ${r(a)}%`),
        "aria-valuenow": r(a),
        "aria-valuemin": "0",
        "aria-valuemax": "100"
      }, y(r(o)), 15, ve)
    ], 2));
  }
}), pe = (e) => (j("data-v-61a2522c"), e = e(), W(), e), ge = { class: "flex h-screen items-center justify-center" }, fe = { class: "relative w-full max-w-xl" }, me = ["step", "min", "max"], xe = ["step", "min", "max"], be = { class: "relative z-10 h-2" }, he = /* @__PURE__ */ pe(() => /* @__PURE__ */ s("div", { class: "absolute bottom-0 left-0 right-0 top-0 z-10 rounded-md bg-gray-200" }, null, -1)), ye = { class: "flex items-center justify-between space-x-4 pt-5 text-sm text-gray-700" }, _e = /* @__PURE__ */ _({
  __name: "RangeSlider",
  props: {
    min: { default: 0 },
    max: { default: 100 },
    modelValue: { default: () => [] },
    step: { default: 1 },
    debounce: { default: 250 }
  },
  emits: ["update:modelValue"],
  setup(e, { emit: i }) {
    const l = e, { min: a, max: t, modelValue: u, step: n, debounce: f } = w(l), o = M(u.value[0] || a.value), p = M(u.value[1] || t.value), g = M(0), b = M(0);
    let E = null;
    const B = () => {
      E && clearTimeout(E), E = setTimeout(() => {
        i("update:modelValue", [o.value, p.value]), E && clearTimeout(E);
      }, f.value);
    }, P = () => {
      Y(), o.value = Math.min(o.value, p.value), g.value = (o.value - a.value) / (t.value - a.value) * 100 - n.value, g.value < 0 && (g.value = 0), B();
    }, U = () => {
      Y(), p.value = Math.max(p.value, o.value), b.value = 100 - (p.value - a.value) / (t.value - a.value) * 100 - n.value, b.value < 0 && (b.value = 0), B();
    }, Y = () => {
      /^\d*$/.test(o.value.toString()) ? (o.value > t.value && (o.value = t.value - n.value), o.value < a.value && (o.value = a.value)) : o.value = a.value, /^\d*$/.test(p.value.toString()) ? (p.value > t.value && (p.value = t.value), p.value < a.value && (p.value = t.value)) : p.value = t.value;
    };
    return F(() => {
      P(), U();
    }), (Ge, k) => (c(), v("div", ge, [
      s("div", fe, [
        s("div", null, [
          C(s("input", {
            type: "range",
            step: r(n),
            min: r(a),
            max: r(t),
            onInput: P,
            "onUpdate:modelValue": k[0] || (k[0] = (S) => o.value = S),
            class: "pointer-events-none absolute z-20 h-2 w-full cursor-pointer appearance-none opacity-0"
          }, null, 40, me), [
            [L, o.value]
          ]),
          C(s("input", {
            type: "range",
            step: r(n),
            min: r(a),
            max: r(t),
            onInput: U,
            "onUpdate:modelValue": k[1] || (k[1] = (S) => p.value = S),
            class: "pointer-events-none absolute z-20 h-2 w-full cursor-pointer appearance-none opacity-0"
          }, null, 40, xe), [
            [L, p.value]
          ]),
          s("div", be, [
            he,
            s("div", {
              class: "absolute bottom-0 top-0 z-20 rounded-md bg-primary",
              style: D({ right: `${b.value}%`, left: `${g.value}%` })
            }, null, 4),
            s("div", {
              class: "absolute left-0 top-0 z-30 -mt-2 h-6 w-6 rounded-full bg-primary",
              style: D({
                left: `${g.value}%`
              })
            }, null, 4),
            s("div", {
              class: "absolute right-0 top-0 z-30 -mt-2 h-6 w-6 rounded-full bg-primary",
              style: D({
                right: `${b.value}%`
              })
            }, null, 4)
          ])
        ]),
        s("div", ye, [
          s("div", null, [
            C(s("input", {
              type: "text",
              maxlength: "5",
              onInput: P,
              "onUpdate:modelValue": k[2] || (k[2] = (S) => o.value = S),
              class: "w-24 rounded-lg border border-gray-200 bg-gray-50 px-3 py-2 text-center focus:border-yellow-400 focus:outline-none"
            }, null, 544), [
              [L, o.value]
            ])
          ]),
          s("div", null, [
            C(s("input", {
              type: "text",
              maxlength: "5",
              onInput: U,
              "onUpdate:modelValue": k[3] || (k[3] = (S) => p.value = S),
              class: "w-24 rounded-lg border border-gray-200 bg-gray-50 px-3 py-2 text-center focus:border-yellow-400 focus:outline-none"
            }, null, 544), [
              [L, p.value]
            ])
          ])
        ])
      ])
    ]));
  }
});
const we = (e, i) => {
  const l = e.__vccOpts || e;
  for (const [a, t] of i)
    l[a] = t;
  return l;
}, Fe = /* @__PURE__ */ we(_e, [["__scopeId", "data-v-61a2522c"]]), Re = ["checked", "value"], je = /* @__PURE__ */ _({
  __name: "Radio",
  props: {
    type: { default: R.DEFAULT },
    label: null,
    modelValue: { default: "" },
    value: { default: "" },
    inline: { type: Boolean, default: !1 }
  },
  emits: ["update:modelValue"],
  setup(e, { emit: i }) {
    const l = e, { type: a, modelValue: t, inline: u } = w(l), n = h(() => ({
      "bg-gray-100 border-gray-300 text-primary focus:ring-primary": a.value === R.PRIMARY,
      "text-orange-500 bg-gray-100 border-gray-300 focus:ring-orange-500 focus:ring-2": a.value === R.SECONDARY
    })), f = h(() => ({
      flex: !u.value,
      "inline-flex mr-3": u.value
    })), o = (g) => {
      i("update:modelValue", g.target.value);
    }, p = `id-${Math.random().toString(36).substring(2, 7)}`;
    return (g, b) => (c(), v("div", {
      class: x(["items-center", r(f)])
    }, [
      s("input", {
        id: p,
        onInput: o,
        checked: r(t) === e.value,
        type: "radio",
        class: x(["h-4 w-4 cursor-pointer ring-0", r(n)]),
        value: e.value
      }, null, 42, Re),
      s("label", {
        for: p,
        class: "ml-2 cursor-pointer text-sm font-medium text-gray-900"
      }, y(e.label), 1)
    ], 2));
  }
}), Ae = { class: "relative inline-flex cursor-pointer items-center" }, ke = ["checked"], Se = { class: "ml-2 text-sm font-medium text-gray-900 dark:text-gray-300" }, We = /* @__PURE__ */ _({
  __name: "Switch",
  props: {
    type: { default: R.PRIMARY },
    label: null,
    modelValue: { type: Boolean, default: !1 }
  },
  emits: ["update:modelValue"],
  setup(e, { emit: i }) {
    const l = e, { type: a, modelValue: t } = w(l), u = h(() => ({
      "peer-checked:bg-primary text-primary peer-focus:ring-0": a.value === R.PRIMARY,
      "text-secondary peer-checked:bg-secondary peer-focus:ring-0": a.value === R.SECONDARY
    }));
    return (n, f) => (c(), v("label", Ae, [
      s("input", {
        type: "checkbox",
        onInput: f[0] || (f[0] = (o) => i("update:modelValue", !r(t))),
        class: "peer sr-only",
        checked: r(t)
      }, null, 40, ke),
      s("div", {
        class: x(["peer h-6 w-11 rounded-full bg-gray-100 after:absolute after:left-[2px] after:top-0.5 after:h-5 after:w-5 after:rounded-full after:border after:border-gray-300 after:bg-white after:transition-all after:content-[''] peer-checked:after:translate-x-full", r(u)])
      }, null, 2),
      s("span", Se, y(e.label), 1)
    ]));
  }
}), Ee = {
  key: 0,
  class: "w-full border-b bg-neutral-50 p-3 text-center font-medium"
}, Ie = { class: "w-full text-center text-sm font-light" }, $e = { class: "border-b bg-neutral-50 font-medium" }, Xe = /* @__PURE__ */ _({
  __name: "Table",
  props: {
    items: { default: () => [] },
    headers: { default: () => [] },
    title: { default: "" },
    rounded: { type: Boolean, default: !1 }
  },
  setup(e) {
    const i = e, { items: l, headers: a, title: t, rounded: u } = w(i);
    return (n, f) => (c(), v("div", {
      class: x(["w-full overflow-hidden border shadow", { "rounded-lg": r(u) }])
    }, [
      r(t) ? (c(), v("div", Ee, y(r(t)), 1)) : A("", !0),
      s("table", Ie, [
        s("thead", $e, [
          s("tr", null, [
            (c(!0), v(V, null, G(r(a), (o) => (c(), v("th", {
              scope: "col",
              class: "px-6 py-4 text-left",
              key: o.key
            }, y(o.value), 1))), 128))
          ])
        ]),
        s("tbody", null, [
          (c(!0), v(V, null, G(r(l), (o, p) => (c(), v("tr", {
            class: x({
              "border-b": p + 1 < r(l).length
            }),
            key: o.id
          }, [
            (c(!0), v(V, null, G(r(a), (g) => (c(), v("td", {
              class: "whitespace-nowrap px-6 py-4 text-left",
              key: g.key
            }, [
              T(n.$slots, `item-${g.key}`, { item: o }, () => [
                z(y(o[g.key]), 1)
              ])
            ]))), 128))
          ], 2))), 128))
        ])
      ])
    ], 2));
  }
}), Me = { class: "flex flex-col" }, Ne = ["for"], Ce = ["id", "placeholder", "rows"], He = /* @__PURE__ */ _({
  __name: "TextArea",
  props: {
    label: { default: "" },
    size: { default: m.MEDIUM },
    id: { default: "" },
    placeholder: { default: "" },
    rows: { default: 5 },
    resize: { default: $.VERTICAL }
  },
  setup(e) {
    const i = e, { id: l, size: a, resize: t } = w(i), u = h(() => ({
      "p-1.5 px-3 text-xs": a.value === m.SMALL,
      "py-2.5 px-3 text-xs": a.value === m.MEDIUM,
      "p-2 px-4 text-md": a.value === m.LARGE,
      "p-2.5 px-5 text-lg": a.value === m.EXTRALARGE,
      "resize-none": t.value === $.NONE,
      "resize-x": t.value === $.HORIZONTAL,
      "resize-y": t.value === $.VERTICAL,
      resize: t.value === $.BOTH
    })), n = l.value ? l.value : `id-${Math.random().toString(36).substring(2, 7)}`;
    return (f, o) => (c(), v("div", null, [
      s("div", Me, [
        e.label ? (c(), v("label", {
          key: 0,
          class: "mb-1 cursor-pointer",
          for: r(n)
        }, y(e.label), 9, Ne)) : A("", !0),
        s("textarea", {
          class: x(["mb-2 rounded border border-gray-300 shadow-sm focus:border-indigo-500 focus:outline-none focus:ring-2 focus:ring-indigo-500", r(u)]),
          id: r(n),
          placeholder: e.placeholder || e.label,
          rows: e.rows
        }, null, 10, Ce)
      ])
    ]));
  }
}), Le = { class: "font-lato" }, Ve = ["src", "alt"], Qe = /* @__PURE__ */ _({
  __name: "Thumbnail",
  props: {
    ratio: { default: N.SQUARE },
    caption: { default: "" },
    src: { default: "" },
    rounded: { type: Boolean, default: !1 },
    fullWidth: { type: Boolean, default: !1 }
  },
  setup(e) {
    const i = e, { ratio: l, rounded: a, fullWidth: t } = w(i), u = h(() => ({
      "aspect-square": l.value === N.SQUARE,
      "aspect-video": l.value === N.WIDE,
      "aspect-auto": l.value === N.AUTO,
      "rounded-lg": a.value,
      "object-cover": !t.value,
      "object-cover w-full": t.value
    })), n = h(() => ({
      "max-w-md": !t.value,
      "w-full": t.value,
      "rounded-lg": a.value
    }));
    return (f, o) => (c(), v("div", Le, [
      s("figure", {
        class: x(["relative", r(n)])
      }, [
        s("img", {
          class: x(r(u)),
          src: e.src,
          alt: `Provided image not found: ${e.src}`
        }, null, 10, Ve),
        e.caption ? (c(), v("figcaption", {
          key: 0,
          class: x(["absolute inset-x-0 bottom-0 line-clamp-2 border-transparent bg-slate-300/25 px-4 py-1.5 transition-colors duration-200 hover:bg-slate-950/75 hover:text-white", { "rounded-b-lg border": r(a) }])
        }, y(e.caption), 3)) : A("", !0)
      ], 2)
    ]));
  }
});
export {
  Oe as Alert,
  I as AlertType,
  N as AspectRatio,
  Pe as Badge,
  Ue as Button,
  d as ButtonType,
  Be as Checkbox,
  R as CheckboxType,
  Ye as Input,
  m as InputSize,
  Te as Pagination,
  ze as ProgressBar,
  je as Radio,
  Fe as RangeSlider,
  $ as Resizable,
  We as Switch,
  Xe as Table,
  He as TextArea,
  Qe as Thumbnail
};
